| OpenMS 2.5.0

BaselineFilter

Executes the top-hat filter to remove the baseline of an MS experiment.

pot. predecessor tools | BaselineFilter | pot. successor tools
NoiseFilterSGolay, NoiseFilterGaussian | PeakPickerWavelet, PeakPickerHiRes (or ID engines on MS/MS data)

This nonlinear filter, known as the top-hat operator in morphological mathematics (see Soille, ''Morphological Image Analysis''), is independent of the underlying baseline shape. It is able to detect an over brightness even if the environment is not uniform. The principle is based on the subtraction of a signal from its opening (erosion followed by a dilation). The size the structuring element (here a flat line) being conditioned by the width of the lineament (in our case the maximum width of a mass spectrometric peak) to be detected.

Note
  The top-hat filter works only on roughly uniform data! To generate equally-spaced data you can use the Resampler.
  The length (given in Thomson) of the structuring element should be wider than the maximum peak width in the raw data.

The command line parameters of this tool are:

    BaselineFilter -- Removes the baseline from profile spectra using a top-hat filter.

    Full documentation: http://www.openms.de/documentation/TOPP_BaselineFilter.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      BaselineFilter <options>

    Options (mandatory options marked with '*'):

      -in <file>*                Input raw data file  (valid formats: 'mzML')

      -out <file>*               Output raw data file  (valid formats: 'mzML')

      -struc_elem_length <size>  Length of the structuring element (should be wider than maximal peak width -

                                 see documentation). (default: '3.0')

      -struc_elem_unit <unit>    Unit of 'struc_elem_length' parameter. (default: 'Thomson' valid: 'Thomson',

                                 'DataPoints')

      -method <string>           The name of the morphological filter to be applied. If you are unsure, use the

                                 default. (default: 'tophat' valid: 'identity', 'erosion', 'dilation', 'opening',

                                 'closing', 'gradient', 'tophat', 'bothat', 'erosion_simple', 'dilation_simple')

    Common TOPP options:

      -ini <file>                Use the given TOPP INI file

      -threads <n>               Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>          Writes the default configuration file

      --help                     Shows options

      --helphelp                 Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+BaselineFilter Removes the baseline from profile spectra using a top-hat filter.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'BaselineFilter'
in input raw data file input file*.mzML
out output raw data file output file*.mzML
struc_elem_length 3.0 Length of the structuring element (should be wider than maximal peak width - see documentation).
struc_elem_unit Thomson Unit of 'struc_elem_length' parameter.Thomson,DataPoints
method tophat The name of the morphological filter to be applied. If you are unsure, use the default.identity,erosion,dilation,opening,closing,gradient,tophat,bothat,erosion_simple,dilation_simple
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false